Según el sistema de valoración de vulnerabilidades Common Vulnerabiliy Scoring System (CVSS), esta brecha tiene un nivel de gravedad de 7,8 sobre 10, lo que la sitúa en la categoría de “alta severidad”.

Explotándola los hackers podrían ocasionar errores de sobrecarga de buffer, que a su vez pueden resultar en la ejecución de código arbitrario sobre el ordenador que hospeda BlackBerry Attachment Service de BES.

No obstante, aunque la ejecución de código es posible, es más probable que un potencial ataque tuviera como consecuencia que el proceso de presentación de PDF se interrumpiera antes de completarse.